path: /build/build/docker-registry-app-emulation-2.7.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-emulation/docker-registry -pv -t && \
    emerge -j ${JOBS} --nodeps app-emulation/docker-registry
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/docker-registry && luet-portage --dir
    /pkgdir/docker-registry app-emulation/docker-registry && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: docker-registry
    version: 2.7.1
    category: app-emulation
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Docker Registry 2.0
    uri:
    - https://github.com/docker/distribution
    license: Apache-2.0
    buildtimestamp: 2023-10-10 18:31:44.925359073 +0000 UTC m=+216.606531591
    labels:
      DEPEND: '>=dev-lang/go-1.10 virtual/pkgconfig sys-apps/shadow'
      emerge.packages: app-emulation/docker-registry
      kit: core-kit
      original.package.name: app-emulation/docker-registry
      original.package.slot: "0"
      original.package.version: 2.7.1
    treedir: /build/packages
  package_dir: /pkgdir/docker-registry
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cdc062f9806600852651e85beb3d9b53c7810daa0b568d5a001af70c42b0cdc1
compressiontype: zstd
files:
- etc/conf.d/registry
- etc/docker/registry/config.yml.example
- etc/init.d/registry
- etc/logrotate.d/registry
- lib/systemd/system/registry.service
- usr/libexec/docker-registry/digest
- usr/libexec/docker-registry/registry
- usr/libexec/docker-registry/registry-api-descriptor-template
- var/db/pkg/app-emulation/docker-registry-2.7.1/BUILD_TIME
- var/db/pkg/app-emulation/docker-registry-2.7.1/CATEGORY
- var/db/pkg/app-emulation/docker-registry-2.7.1/CBUILD
- var/db/pkg/app-emulation/docker-registry-2.7.1/CFLAGS
- var/db/pkg/app-emulation/docker-registry-2.7.1/CHOST
- var/db/pkg/app-emulation/docker-registry-2.7.1/CONTENTS
- var/db/pkg/app-emulation/docker-registry-2.7.1/COUNTER
- var/db/pkg/app-emulation/docker-registry-2.7.1/CXXFLAGS
- var/db/pkg/app-emulation/docker-registry-2.7.1/DEFINED_PHASES
- var/db/pkg/app-emulation/docker-registry-2.7.1/DEPEND
- var/db/pkg/app-emulation/docker-registry-2.7.1/DESCRIPTION
- var/db/pkg/app-emulation/docker-registry-2.7.1/EAPI
- var/db/pkg/app-emulation/docker-registry-2.7.1/FEATURES
- var/db/pkg/app-emulation/docker-registry-2.7.1/HOMEPAGE
- var/db/pkg/app-emulation/docker-registry-2.7.1/INHERITED
- var/db/pkg/app-emulation/docker-registry-2.7.1/IUSE
- var/db/pkg/app-emulation/docker-registry-2.7.1/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/docker-registry-2.7.1/KEYWORDS
- var/db/pkg/app-emulation/docker-registry-2.7.1/LDFLAGS
- var/db/pkg/app-emulation/docker-registry-2.7.1/LICENSE
- var/db/pkg/app-emulation/docker-registry-2.7.1/NEEDED
- var/db/pkg/app-emulation/docker-registry-2.7.1/PF
- var/db/pkg/app-emulation/docker-registry-2.7.1/REQUIRES
- var/db/pkg/app-emulation/docker-registry-2.7.1/RESTRICT
- var/db/pkg/app-emulation/docker-registry-2.7.1/SIZE
- var/db/pkg/app-emulation/docker-registry-2.7.1/SLOT
- var/db/pkg/app-emulation/docker-registry-2.7.1/USE
- var/db/pkg/app-emulation/docker-registry-2.7.1/docker-registry-2.7.1.ebuild
- var/db/pkg/app-emulation/docker-registry-2.7.1/environment.bz2
- var/db/pkg/app-emulation/docker-registry-2.7.1/repository
- var/lib/registry/.keep_app-emulation_docker-registry-0
- var/log/registry/.keep_app-emulation_docker-registry-0
package_cacheimage: ""
runtime:
  name: docker-registry
  version: 2.7.1
  category: app-emulation
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Docker Registry 2.0
  uri:
  - https://github.com/docker/distribution
  license: Apache-2.0
  labels:
    DEPEND: '>=dev-lang/go-1.10 virtual/pkgconfig sys-apps/shadow'
    emerge.packages: app-emulation/docker-registry
    kit: core-kit
    original.package.name: app-emulation/docker-registry
    original.package.slot: "0"
    original.package.version: 2.7.1
